summaryrefslogtreecommitdiffstats
path: root/src/lib/connections/vlan
diff options
context:
space:
mode:
Diffstat (limited to 'src/lib/connections/vlan')
-rw-r--r--src/lib/connections/vlan28
1 files changed, 28 insertions, 0 deletions
diff --git a/src/lib/connections/vlan b/src/lib/connections/vlan
new file mode 100644
index 0000000..75c7fa9
--- /dev/null
+++ b/src/lib/connections/vlan
@@ -0,0 +1,28 @@
+#! /bin/bash
+. /usr/lib/network/network
+
+vlan_up() {
+ load_profile "$1"
+
+ if [[ -e "/sys/class/net/$INTERFACE" ]]; then
+ report_fail "Interface $INTERFACE already exists."
+ exit 1
+ else
+ bring_interface up "$VLAN_PHYS_DEV"
+ ip link add link "$VLAN_PHYS_DEV" name "$INTERFACE" type vlan id "$VLAN_ID"
+ fi
+ "$CONN_DIR/ethernet" up "$1"
+ return 0
+}
+
+vlan_down() {
+ load_profile "$1"
+
+ "$CONN_DIR/ethernet" down "$1"
+ ip link delete "$INTERFACE"
+ return 0
+}
+
+vlan_$1 "$2"
+exit $?
+# vim: set ts=4 et sw=4: